Package org.jfree.report.util

# Class InstanceID

java.lang.Object
org.jfree.report.util.InstanceID

All Implemented Interfaces:
  `Serializable`

public final class InstanceID extends Object implements Serializable
This class can be used as ID to mark instances of objects. This allows to track and identify objects and their clones.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InstanceID()`
DefaultConstructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a simple string representation of this object to make is identifiable by human users.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstanceID

public InstanceID()
DefaultConstructor.

## Method Details

### toString

public String toString()
Returns a simple string representation of this object to make is identifiable by human users.

Overrides:
  `toString` in class `Object`
Returns:
  the string representation.